package com.example.plugincreation;

import com.intellij.execution.ui.ConsoleView;
import com.intellij.openapi.project.Project;
import com.intellij.openapi.ui.SimpleToolWindowPanel;
import com.intellij.openapi.wm.ToolWindow;
import com.intellij.openapi.wm.ToolWindowFactory;
import com.intellij.ui.components.JBLabel;
import com.intellij.ui.components.JBScrollPane;
import com.intellij.ui.content.Content;
import com.intellij.ui.content.ContentFactory;
import javax.swing.*;


public class ErrorConsoleToolWindowFactory implements ToolWindowFactory {

    @Override
    public void createToolWindowContent(Project project,  ToolWindow toolWindow) {
        JPanel panel = new JPanel();
        panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));
        JBLabel errorLabel = new JBLabel("Console Errors will appear here...");
        panel.add(errorLabel);
        JBScrollPane scrollPane = new JBScrollPane(panel);

        SimpleToolWindowPanel simpleToolWindowPanel = new SimpleToolWindowPanel(true, true);
        simpleToolWindowPanel.setContent(panel);

        ContentFactory contentFactory = ContentFactory.SERVICE.getInstance();
        Content content = contentFactory.createContent(simpleToolWindowPanel, "Errors", false);
        toolWindow.getContentManager().addContent(content);



    }
}
